Bug 1018635 - Unexpected behaviour of hours remaining value on filtering
Unexpected behaviour of hours remaining value on filtering
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Alex Eng
Damian Jansen
Depends On:
  Show dependency treegraph
Reported: 2013-10-13 22:06 EDT by Damian Jansen
Modified: 2013-11-26 22:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-26 22:31:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
tmx, po and pot files for project (16.63 KB, application/x-gzip)
2013-10-13 22:06 EDT, Damian Jansen
no flags Details

  None (edit)
Description Damian Jansen 2013-10-13 22:06:39 EDT
Created attachment 811838 [details]
tmx, po and pot files for project

Description of problem:
In the attached example project, if a user filters the Pl documents list with "About_" (to show only About_Fedora) the hours remaining climbs from 1.4 to 1.5.

Version-Release number of selected component (if applicable):

How reproducible:
Easy always

Steps to Reproduce:
1. Create a project with the files attached
2. Go to about-fedora master
3. Select pl
4. Type About_ in the top left search bar
5. Press Enter

Actual results:
About_Fedora changes from 1.4 hours to 1.5

Expected results:
Should remain at 1.4

Additional info:
Comment 1 Damian Jansen 2013-10-13 22:07:39 EDT
The easier way to create this is to run the functional-test module with cargo and execute the "Experiment Test" testcase. Then perform the manual steps.
Comment 2 Alex Eng 2013-10-15 01:07:30 EDT
Fixed in 3.1.1-SNAPSHOT, 
Comment 3 Damian Jansen 2013-10-16 00:25:23 EDT
Tested at 00c4e17487d7f201bebbc392f2a34fccf108c909
Comment 4 Sean Flanigan 2013-11-26 22:31:17 EST
Closing VERIFIED bugs which predate Zanata 3.1.2.

Note You need to log in before you can comment on or make changes to this bug.